Jifty::Script::Action(3)

NAME
Jifty::Script::Action - Add an action class to your Jifty application

SYNOPSIS
    jifty action --name NewAction
    jifty action --help
    jifty action --man

DESCRIPTION
Creates a skeleton action file.

  options
There are only two possible options to this script:

--name NAME (required)
    Name of the action class.

--force
    By default, this will stop and warn you if any of the files it is going to write already exist. Passing the --force flag will make it overwrite the files.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

DESCRIPTION
This creates a skeleton of a new action class for your jifty application, complete with a skeleton of a test suite for it, as well.

METHODS

  run
Creates a skeleton file under "lib/ApplicationClass/Action/Action", as well as a skeleton tests file.

NAME
@{[$appclass]}::Action::@{[$action]}

  take_action

  report_success

DESCRIPTION
A (very) basic test harness for the $action action.